#include <iostream>

#include "CcOsdMenu.h"
#include "commons.h"

CcOsdMenu::CcOsdMenu()
{
  dprint(1, "CC: Making the setup menu...\n");
  ccType = config.getCcType() + 1;
  ccActive = (int)config.getCcActive();
  
  Add(new cMenuEditIntItem( tr("CC type"), &ccType, 1, 4));
  Add(new cMenuEditBoolItem(tr("Active"), &ccActive));
}

CcOsdMenu::~CcOsdMenu()
{
}


void CcOsdMenu::Store(void)
{
  dprint(1, "CC: Store the menu changes...\n");
  config.setCcType(ccType - 1);
  config.setCcActive(ccActive);
  
  SetupStore("CC type", config.getCcType() + 1);
  SetupStore("Active", config.getCcActive());
  dprint(1, "CC: CCType changed to %d", config.getCcType());
}
