#ifndef CCSTATUS_H_
#define CCSTATUS_H_
#include <vdr/plugin.h>
#include <vdr/status.h>
#include "CcConfig.h"
#include "CcExtractor.h"
#include "CcReceiver.h"
#include "CcOsd.h"

extern CcConfig config;
class CcOsd;

class CcStatus : public cStatus
{
public:
	CcStatus();
	virtual void ChannelSwitch(const cDevice * device, int channelNumber);
	virtual ~CcStatus();

	void Start();
	void Stop();
	
	CcExtractor *GetExtractor();
	
protected:
	void CleanUp();
		
private:	
	CcExtractor *extractor;
	CcReceiver *receiver;
	CcOsd *osd;	
	bool isActive;
};

#endif /*CCSTATUS_H_*/
